{% extends 'base.html.twig' %}

{% block title %}Réservation n°{{booking.id}}{% endblock %}

{% block body %}

    {% set ad = booking.ad %}
    {% set author = ad.author %}

    <div class="container">
        <h1 class="my-5">Votre réservation (n°{{booking.id}})</h1>

        {% if app.request.query.get('withAlert') %}
            <div class="alert alert-success">
                <h4 class="alert-heading">Bravo !</h4>
                <p>
                    Votre réservation auprès de
                    <strong>
                        <a href="{{ path("user_show", {'slug': author.slug})}}">{{author.fullName}}</a>
                    </strong>
                    pour l'annonce
                    <strong>
                        <a href="{{ path("ads_show", {'slug': ad.slug})}}">{{ad.title}}</a>
                    </strong>
                    a bien été prise en compte !
                </p>
            </div>
        {% endif %}

        <div class="row">
            <div class="col">
                <div class="alert alert-light">
                    <h2>Détails</h2>
                    <dl class="row">
                        <dt class="col-md-4">Numéro</dt>
                        <dd class="col-md-8">{{booking.id}}</dd>
                        <dt class="col-md-4">Date d'arrivée</dt>
                        <dd class="col-md-8">{{booking.startDate | date('d/m/Y')}}</dd>
                        <dt class="col-md-4">Date de départ</dt>
                        <dd class="col-md-8">{{booking.endDate | date('d/m/Y')}}</dd>
                        <dt class="col-md-4">Nombre de nuits</dt>
                        <dd class="col-md-8">{{booking.duration}}</dd>
                        <dt class="col-md-4">Montant total</dt>
                        <dd class="col-md-8">{{booking.amount | number_format(2, ',', ' ')}} &euro;</dd>
                        <dt class="col-md-4">Commentaire</dt>
                        <dd class="col-md-8">{{booking.comment | default('Aucun commentaire')}}</dd>
                    </dl>

                    <hr>

                    <h2 class="alert-heading">Votre hôte</h2>

                    <div class="row mb-3">
                        <div class="col-3">
                            <img src="{{author.picture}}" class="avatar avatar-medium" alt="Avatar de {{author.fullName}}">
                        </div>
                        <div class="col-9">
                            <h4>
                                <a href="{{ path('user_show', {'slug': author.slug}) }}">{{ author.fullName }}</a>
                            </h4>

                            <span class="badge badge-primary">{{author.ads|length}} annonces</span>
                        </div>
                    </div>
                    {{author.description | raw}}

                    <a href="{{ path("user_show", {'slug': author.slug}) }}" class="btn btn-primary">Plus d'infos sur {{author.firstName}}</a>
                </div>

                <div class="alert alert-light" id="comment">
                    <h2 class="alert-heading">Votre avis compte !</h2>
                    {% if date() > date(booking.endDate) %}
                        {% set comment = booking.ad.commentFromAuthor(app.user) %}
                        {% if comment is not null %}
                            <blockquote>
                                {{comment.content}}
                            </blockquote>

                            <strong>Note : </strong> {% include 'shared/rating.html.twig' with {'rating': comment.rating} %}
                        {% else %}
                            {{ form_start(form) }}
                            {{ form_widget(form) }}
                            <button type="submit" class="btn btn-success">Confirmer !</button>
                            {{ form_end(form) }}
                        {% endif %}

                    {% else %}
                        <p>Vous ne pourrez pas noter cette annonce tant que votre voyage ne sera pas complet !</p>
                    {% endif %}
                </div>
            </div>
            <div class="col">
                <div class="alert alert-light">
                    <h2 class="alert-heading">Votre hébergement</h2>

                    <h4>
                        <a href="{{ path('ads_show', {'slug': ad.slug}) }}">{{ad.title}}</a>
                    </h4>

                    <img src="{{ad.coverImage}}" alt="Image de {{ad.title}}" class="img-fluid">

                    {{ad.content | raw}}

                    <a href="{{path('ads_show', {'slug': ad.slug})}}" class="btn btn-primary">Plus d'informations</a>
                </div>
                <div id="mapid"></div>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script>
        var mymap = L.map('mapid').setView([51.505, -0.09], 14);
        var marker = L.marker([51.505, -0.09]).addTo(mymap);
        L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={accessToken}', {
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            maxZoom: 18,
            id: 'mapbox/streets-v11',
            accessToken: 'pk.eyJ1Ijoia2FsaWxpbnV4NjkiLCJhIjoiY2s0aWZkZW9xMWtmNzNmbWdmdzN0M2V1YSJ9.x_7zrgJ4DrIsopADQrq5Sg'
        }).addTo(mymap);
    </script>
{% endblock %}